<?php 
$alm_id = '2';
?>
<script type="text/javascript">
	 
	function cmb_fil_alm_id()
	{	
		$.ajax({
			type: "POST",
			url: "../almacen/cmb_alm_id.php",
			async:false,
			dataType: "html",                      
			data: ({
				alm_id: '<?php echo $alm_id?>'
			}),
			beforeSend: function() {
			//$('#cmb_fil_pro_alm').html('<option value="">Cargando...</option>');
		},
		success: function(html){
			$('#cmb_fil_alm_id').html(html);
		
		},
		complete: function(){
		}
	});
	}
	
	
	function cmb_fil_cat_id()
	{	
		$.ajax({
			type: "POST",
			url: "../categoria/cmb_cat_id.php",
			async:true,
			dataType: "html",                      
			data: ({
			//cat_id: "<?php //echo $cat_id?>"
		}),
			beforeSend: function() {
				$('#cmb_fil_cat_id').html('<option value="">Cargando...</option>');
			},
			success: function(html){
				$('#cmb_fil_cat_id').html(html);
			}
		});
	}
	
		/* $( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat2" ).focus();
				// producto_tabla();
				// e.preventDefault();
			}
		});
		$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat3" ).focus();
				// producto_tabla();
				// e.preventDefault();
			}
		});
		$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==32)
			{
				$( "#txt_fil_pro_dat4" ).focus();
				// producto_tabla();
				// e.preventDefault();
			}
		}); */
		
		
		$( "#txt_fil_mar" ).keydown(function(e){
			if(e.which==13)
			{
				
				gestionxstock_tabla();
				e.preventDefault();
			
			}
		});	
		
		
		
		
		$( "#txt_fil_pro_dat1" ).keydown(function(e){
			if(e.which==13)
			{
				
				gestionxstock_tabla();
				e.preventDefault();
			
			}
		});
		
			$( "#txt_fil_pro_dat2" ).keydown(function(e){
			if(e.which==13)
			{
				
				gestionxstock_tabla();
				e.preventDefault();
			
			}
		});
		
		
			$( "#txt_fil_pro_dat3" ).keydown(function(e){
			if(e.which==13)
			{
				
				gestionxstock_tabla();
				e.preventDefault();
			
			}
		});
		
		$( "#txt_fil_pro_dat4" ).keydown(function(e){
			if(e.which==13)
			{
				
				gestionxstock_tabla();
				e.preventDefault();
			
			}
		});
		
		
		
		$("#txt_fil_pro_dat4").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat4").val()==""){
					$("#txt_fil_pro_dat3").focus();
				}	
					
			}
		});
		
		
		$("#txt_fil_pro_dat3").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat3").val()==""){
					$("#txt_fil_pro_dat2").focus();
				}	
					
			}
		});
		
		
		$("#txt_fil_pro_dat2").keydown(function(e){
			if(e.which==8)
			{
				if($("#txt_fil_pro_dat2").val()==""){
					$("#txt_fil_pro_dat1").focus();
				}	
					
			}
		});
		
	
	
	$(function() {
		
		
		cmb_fil_alm_id();
		cmb_fil_cat_id();
		gestionxstock_tabla();
		
		$('#txt_fil_pro_dat1,#txt_fil_pro_dat2, #txt_fil_pro_dat3,#txt_fil_pro_dat4,#cmb_fil_alm_id, #cmb_fil_lim , #txt_fil_pro_acc').change(function(){
			gestionxstock_tabla();
		});
	});
</script>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-12">
		    <div class="card">
		        <div class="card-header">
					<div class="row">
						
						<form action="" id="for_fil_pro">
						
							<div class="row">
							
							<div class="col-lg-3 col-sm-3 col-6">
								<label for="txt_fil_pro_dat1">Busqueda:</label>
								<input name="txt_fil_pro_dat1" type="text" id="txt_fil_pro_dat1" class="form-control  input-sm">
							</div>
							
							<div class="col-lg-3 col-sm-3 col-6">
								<label for="txt_fil_pro_dat2">-</label>
								<input name="txt_fil_pro_dat2" type="text" id="txt_fil_pro_dat2" class="form-control  input-sm">
							</div>
							
							<div class="col-lg-3 col-sm-3 col-6">
								<label for="txt_fil_pro_dat3">-</label>
								<input name="txt_fil_pro_dat3" type="text" id="txt_fil_pro_dat3" class="form-control  input-sm">
							</div>
							
							<div class="col-lg-3 col-sm-3 col-6" style="display:none">
								<label for="txt_fil_pro_dat4">-</label>
								<input name="txt_fil_pro_dat4" type="text" id="txt_fil_pro_dat4" class="form-control  input-sm">
							</div>
							
							<div class="col-lg-3 col-sm-3 col-6">
								<label for="txt_fil_mar">Marca</label>
								<input name="txt_fil_mar" type="text" id="txt_fil_mar" class="form-control  input-sm">
							</div>
								
							<div class="col-lg-3 col-sm-3 col-6 d-none">
								<label for="txt_fil_pro_acc">Accion:</label>
								<input name="txt_fil_pro_acc" type="text" id="txt_fil_pro_acc" class="form-control  input-sm">
							</div>
							
							<div class="col-lg-3 col-sm-3 col-6">
								<label for="cmb_fil_cat_id">Categoría:</label>
								<select name="cmb_fil_cat_id" id="cmb_fil_cat_id" class="form-control  input-sm"></select>
							</div>
							
						<div class="col-lg-2 col-sm-4 col-6">
							<label>Almacen:</label>
							<select name="cmb_fil_alm_id" id="cmb_fil_alm_id" style="cursor:pointer;" class="form-control">
							</select>
						</div>
						
						<div class="col-lg-2 col-sm-4 col-6">
							<label>N° Filas:</label>
							<select name="cmb_fil_lim" id="cmb_fil_lim" style="cursor:pointer;" class="form-control">
								<option value="">-Todos-</option>
								<option value="20">20</option>
								<option value="50" selected="selected">50</option>
								<option value="100">100</option> 
								<option value="500">500</option>
							</select>
						</div>
						
						<div class="col-lg-2 col-sm-4 col-6" style="display: inline-block; white-space: nowrap;padding-top:30px;">
							<span onClick="gestionxstock_tabla()"  style="cursor:pointer" class="btn btn-primary"><i class="fa fa-search" title="Filtrar"></i></span>
							<span onClick="gestionxstock_filtro()" style="cursor:pointer" class="btn btn-default">Restablecer</span>
                         </div>
						
						</div>
                     </form>
                         
						 
						 
                   
						</div>
					</div>
				 </div>
			</div>
		</div>
	</div>
</section>